<?php

require_once("connect.inc.php");
header('Content-Type: text/xml');


function moveChar( $id, $x_dir, $y_dir )
{
	global $connexion;
	
	$req = 'SELECT * FROM move('.$id.','.$x_dir.','.$y_dir.')';
	$res = pg_query($connexion, $req) or die( pg_last_error().'<br />'.$req );
	$r = pg_fetch_result($res,0,'move');
	
	$xml  = '<bool>'.$r.'</bool>';
	$error = 'Deplacement impossible : ';
	switch($r) {
		case 1 : $error .= 'param&egrave;tres incorrects ou m&ecirc;me position'; break;
		case 2 : $error .= 'il n\'y a pas de terrain dans cette direction';       break;
		case 3 : $error .= 'le mimichant n\'a pas assez de PA pour ce mouvement';  break;
	}
	$xml .= '<error>'.$error.'</error>';
	echo '<?xml version="1.0" encoding="UTF-8" standalone="yes"?><xml>'.$xml.'</xml>';
}
//moveChar( 11, 1, 1 );
moveChar( $_GET['id'], $_GET['x_dir'], $_GET['y_dir'] );
?>
